#! /usr/bin/env python
# $Id: setup.py,v 1.2 2002/07/17 01:58:39 d Exp $

from distutils.core import setup, Extension
from ConfigParser import ConfigParser
import sys, string, os

#-- Now, let distutils do the rest
setup(
	#-- Package description
	name =		'xml',
	version =	'1.0',
	description =	'Simple XML and XPath module',
	author =	'David Leonard', 
	author_email =	'd+dxml@itee.uq.edu.au',
	url =		'http://www.itee.uq.edu.au/~leonard/personal/software/',
	#-- C extension modules
	ext_modules = [
		Extension(
		    'xml',
		    [
			'dxmlmodule.c',
		    ],
		    libraries =		["xml"],
		    include_dirs =	["/usr/local/include"],
		    library_dirs =	["/usr/local/lib"],
		    #include_dirs =	[".."],
		    #library_dirs =	["./obj.sparc/"],
		    define_macros =	[],
		),
	],
)
