/* $Id: intern.h,v 1.3 2002/07/16 06:36:42 d Exp $ */
/* David Leonard, 2002. Public domain. */

/*
 * Strings are 'internalised' so that same-content strings have the
 * same pointer. This makes comparison and hashing faster.
 */

/* #include "wstr.h" */
/* #include "xhash.h" */

#define intern_wstr		dxml_intern_wstr
#define intern_wstr_noown	dxml_intern_wstr_noown
#define intern_utf8		dxml_intern_utf8
#define intern			dxml_intern
#define intern_hash		dxml_intern_hash

wstr_t intern_wstr(wstr_t);
wstr_t intern_wstr_noown(wstr_t);
wstr_t intern_utf8(const char *);
wstr_t intern(const wchar_t *, size_t size);

extern struct xhash *intern_hash;
