/* $Id: utf8.h,v 1.3 2002/07/16 06:36:42 d Exp $ */
/* David Leonard, 2002. Public domain. */

/* UTF-8 encoding */

/* #include <stdlib.h> */

/* Prefix library-internal symbol */
#define utf8_look		dxml_utf8_look
#define utf8_get		dxml_utf8_get
#define utf8_getn		dxml_utf8_getn
#define utf8_put		dxml_utf8_put
#define utf8_size_put		dxml_utf8_size_put
#define wisletter		dxml_wisletter
#define wisbasechar		dxml_wisbasechar
#define wisideographic		dxml_wisideographic
#define wiscombiningchar	dxml_wiscombiningchar
#define wisdigit		dxml_wisdigit
#define wisextender		dxml_wisextender

wchar_t	utf8_look(const char *p);
wchar_t	utf8_get(const char **pp);
wchar_t	utf8_getn(const char **pp, int maxlen);
void	utf8_put(wchar_t c, char **p);
int	utf8_size_put(wchar_t c);

/* Unicode classes (Should these be here or elsewhere?) */
int	wisletter(wchar_t c);
int	wisbasechar(wchar_t c);
int	wisideographic(wchar_t c);
int	wiscombiningchar(wchar_t c);
int	wisdigit(wchar_t c);
int	wisextender(wchar_t c);
